
CoCoALib - Feature #1301

New function primorial

31 Jul 2019 16:39 - John Abbott

Status: Closed Start date: 31 Jul 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.66 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.65 hour

Description

Add a new function primorial, the product of al primes up to a given limit.

History

#1 - 31 Jul 2019 16:40 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Estimated time set to 0.55 h

I have implemented it: the real work is done by GMP.

Added doc; accessible from CoCoA-5.  No test/example.

#2 - 10 Oct 2019 18:51 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#3 - 14 Oct 2019 15:10 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.55 h to 0.66 h

I am inclined not to put in any tests since CoCoALib merely delegates all the work to GMP.

Also, as the function is so simple, I do not think there is any need for an example.

Closing.
